import request from '@/utils/request'

// 查询拼团订单列表
export function listGroupOrder(query) {
  return request({
    url: '/product/GroupOrder/list',
    method: 'get',
    params: query
  })
}

// 查询拼团订单详细
export function getGroupOrder(id) {
  return request({
    url: '/product/GroupOrder/' + id,
    method: 'get'
  })
}

// 新增拼团订单
export function addGroupOrder(data) {
  return request({
    url: '/product/GroupOrder',
    method: 'post',
    data: data
  })
}

// 修改拼团订单
export function updateGroupOrder(data) {
  return request({
    url: '/product/GroupOrder/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除拼团订单
export function delGroupOrder(id) {
  return request({
    url: '/product/GroupOrder/' + id,
    method: 'delete'
  })
}
